package renderer.mesh;

import basics.math.algebra.Ray;
import basics.math.algebra.Vector;
import shading.Material;

public abstract class Mesh {

    public abstract double intersect(Ray ray);

    public abstract Vector normalAt(Vector surfacePoint, Vector incoming);

    public abstract Material getMaterial();
}
